
QGIS Application - Bug report #11961

issue registering QgsFunctions

2015-01-07 02:03 AM - enrico ferreguti

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.6.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 20169

Description

Registering QgsFunctions using 'usesgeometry' directive throws exception on Master versions:

ref: #6a17a60ae23a0b7010682d91aa7fa2de795bd748#commitcomment-9167072

return register_function(func, args, group, usesgeometry, **kwargs)

TypeError: register_function() got multiple values for keyword argument 'usesgeometry'

History

#1 - 2015-01-10 12:52 AM - Jürgen Fischer

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to 2.6.0

- Project changed from QGIS Redmine (QGIS bug tracker) to QGIS Application

- Tracker changed from Support to Bug report

#2 - 2015-01-10 01:23 AM - Nathan Woodrow

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Fixed in commit:d9042f5
